<template lang="">
  <navbar></navbar>
  <h1 class="text-center mt-12 text-4xl font-bold">Registro de Asistencia</h1>
  <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: menuAsistenciaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Asistencia
        </a>
        
      </li>
      <li v-if="rol=='DOCENTE'" >
        <a
          @click="
            $router.push({
              path: seleccionarCursoURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Seleccionar Curso
        </a>
      </li>
      <li v-if="this.rol=='DOCENTE' " >
        <a
          @click="
            $router.push({
              path: registrarAsistenciaURL,
              query:{curso_id:this.$route.query.curso_id}
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Registrar Asistencia
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: verRegistroAsistenciaURL,
              query:{curso_id:this.$route.query.curso_id}
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Ver Registro de Asistencia
        </a>
      </li>
    </ul>
  </div>
  <div
    class="bg-white ml-24 mr-24 mt-12 mb-28 border-2 border-black rounded-3xl"
  >
    <div class="overflow-auto">
      <table class="table w-auto h-auto m-auto mt-12 overflow-x-scroll mb-12">
        <thead
          class="flex flex-col items-center justify-between overflow-y-hidden w-full"
        >
          <tr class="">
            <th class="w-96 bg-white text-leftfont-bold text-2xl font-">ID</th>

            <th class="w-96 bg-white text-center font-bold text-2xl">
              Fecha Clase
            </th>

            <th class="w-96 bg-white text-end font-bold text-2xl">
              Asistencia
            </th>
          </tr>
        </thead>
        <div
          class="bg-grey-light items-center justify-between overflow-y-scroll w-full h-96"
        >
          <tbody v-for="asist in asistencia" :key="asist.asis_id">
            <tr>
              <td
                class="w-96 text-justify bg-white text-xl font-semibold rounded-none"
              >
                {{ asist.asisId }}
              </td>

              <td class="w-96 bg-white text-center text-xl font-semibold">
                {{ asist.fechAsistencia.substring(0, 10) }}
              </td>

              <td
                v-if="asist.estConfirmar == true"
                class="w-96 bg-white text-xl text-end font-semibold rounded-none"
              >
                <label class="">
                  <input type="checkbox" class="checkbox" checked disabled readonly/>
                </label>
              </td>
              <td
                v-else="asist.estConfirmar == true"
                class="w-96 bg-white text-xl text-end font-semibold rounded-none"
              >
                <label class="">
                  <input type="checkbox" class="checkbox"  disabled readonly />
                </label>
              </td>
            </tr>
          </tbody>
        </div>
      </table>
    </div>
  </div>
</template>
<script>
import axios from "axios";
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  data() {
    return {
      asistencia: [],
      menuAsistenciaURL:"",
      seleccionarCursoURL:"",
      registrarAsistenciaURL:"",
      verRegistroAsistenciaURL:"",
      rol:localStorage.getItem("userId"),
    };
  },
  mounted() {
    let vue = this;
    let fecha = "";
    axios.get("asistencia/listadoAsistencia").then(function (response) {
      vue.asistencia = response.data;
      vue.fecha = response.data[0].fechAsistencia;
      console.log(vue.fecha);
      console.log(vue.asistencia);
    });
    axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {

          if (response.data.rol == "DOCENTE") {
            this.menuAsistenciaURL=
              "/MainAsistenciaDocente";
            this.seleccionarCursoURL=
              "/SeleccionarMateria";
            this.registrarAsistenciaURL=
              "/RegistrarAsistencia";
              this.verRegistroAsistenciaURL=
              "/VerRegistroAsistencia"
          } else if (response.data.rol == "ALUMNO") {
            this.menuAsistenciaURL=
              "/MainAsistenciaEstudiante";
              this.verRegistroAsistenciaURL=
              "/VerRegistroAsistencia"
          }

        });
  },
};
</script>
<style lang=""></style>
